test_gns_mx_lookup.sh 1.4 KB

1234567891011121314151617181920212223242526272829303132333435363738394041424344
  1. #!/bin/sh
  2. # This file is in the public domain.
  3. trap "gnunet-arm -e -c test_gns_lookup.conf" INT
  4. LOCATION=$(which gnunet-config)
  5. if [ -z $LOCATION ]
  6. then
  7. LOCATION="gnunet-config"
  8. fi
  9. $LOCATION --version 1> /dev/null
  10. if test $? != 0
  11. then
  12. echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
  13. exit 77
  14. fi
  15. rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
  16. which timeout > /dev/null 2>&1 && DO_TIMEOUT="timeout 5"
  17. MY_EGO="myego"
  18. TEST_MX="5,mail.+"
  19. gnunet-arm -s -c test_gns_lookup.conf
  20. gnunet-identity -C $MY_EGO -c test_gns_lookup.conf
  21. PKEY=`gnunet-identity -d | grep "$MY_EGO - " | awk '{print $3'}`
  22. WANT_MX="5,mail.$PKEY"
  23. gnunet-namestore -p -z $MY_EGO -a -n www -t MX -V "$TEST_MX" -e never -c test_gns_lookup.conf
  24. RES_MX=`$DO_TIMEOUT gnunet-gns --raw -u www.$MY_EGO -t MX -c test_gns_lookup.conf`
  25. gnunet-namestore -z $MY_EGO -d -n www -t MX -V "$TEST_MX" -e never -c test_gns_lookup.conf
  26. gnunet-identity -D $MY_EGO -c test_gns_lookup.conf
  27. gnunet-arm -e -c test_gns_lookup.conf
  28. rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
  29. # make cmp case-insensitive by converting to lower case first
  30. RES_MX=`echo $RES_MX | tr [A-Z] [a-z]`
  31. WANT_MX=`echo $WANT_MX | tr [A-Z] [a-z]`
  32. if [ "$RES_MX" = "$WANT_MX" ]
  33. then
  34. exit 0
  35. else
  36. echo "FAIL: did not get proper IP, got $RES_MX, expected $WANT_MX."
  37. exit 1
  38. fi